Skip to main content
GET
/
api
/
gateway
/
invoices
List invoices
curl --request GET \
  --url https://dash.getopenrails.com/api/gateway/invoices
{
  "data": [
    {
      "id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "customerId": "<string>",
      "paymentId": "<string>",
      "sessionId": "<string>",
      "metadata": {}
    }
  ],
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.getopenrails.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer
default:20
customerId
string
paymentId
string
invoiceId
string
status
string

Response

200 - application/json

List of invoices

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required